Delete A single availability zone
Delete a single availability zone
Deletes the availability zone. If the IaaS does not support availability zones an error will be returned.
Availability zones that are already on a deployed product cannot be deleted.
Request
URI
DELETE
https://{opsmanager-installation}/api/v0/staged/director/availability_zones/{az_guid}
COPY
Path Parameters
string
az_guid
Required
az_guid
Responses
200
OK
Operation doesn't return any data structure
400
Setup is not completed
Returns
RequireSetupCompleted
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"errors": {
"errors": [
"string"
]
}
}
object
errors
Optional
errors
404
Not Found
Returns
CommonErrors
of type(s)
application/json
{
"errors": [
"string"
]
}
array of
string
errors
Required
errors
405
Modifying availability zones is not supported for this IaaS
Returns
ModifyingAvailabilityZonesNotSupported
of type(s)
application/json
{
"errors": [
"string"
]
}
array of
string
errors
Required
errors
Code Samples
COPY
curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v0/staged/director/availability_zones/{az_guid}